Retrieve a list of condition check-ins for a vehicle
GET/api/vehicles/:vehicleId/checkins/condition
Retrieve a list of all condition check-ins for the given vehicle. If the caller does not have access to the vehicle throws an exception.
Request
Path Parameters
Responses
- 200
- 401
- 403
- 404
- 500
List of condition check-in objects for the vehicle.
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Id of the checkin
License plate number
User generated note. For communication between the user to the admin
Admin generated note. Usually used for on-hold or declined check-ins
Check-in date
Possible values: [Confirmed, Declined, OnHold, Pending]
Status of the check-in
Last updated on
photos
object[]
The photos of the vehicle taken from different angles
URL of the photo
Possible values: [Back, Front, DriverSide, DriverSideFront, DriverSideBack, PassengerSide, PassengerSideFront, PassengerSideBack]
Type of the photo. A value from one of the condition checkin photo types.
Latitude at which photo was taken
Longitude at which photo was taken
Indicates that the photo has been marked invalid on review.
Indicates that the review has detected damage to the vehicle.
[
{
"id": "string",
"license": "string",
"userNote": "string",
"adminNote": "string",
"checkedInAt": "string",
"checkInStatus": "Confirmed",
"updated": "string",
"photos": [
{
"photoUrl": "string",
"type": "Back",
"latitude": 0,
"longitude": 0,
"markedInvalidByReview": true,
"damageDetected": true
}
],
"fraud": true
}
]
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Vehicle not found or owning User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
-
ERROR_VEHICLE_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}